Skip to content

Gets the fiscal year and fiscal period for a particular date

Request

This method will return a fiscal year and fiscal period object

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

businessUnitIdstringrequired

The id of the business unit being accessed

datestringrequired

The date being looked up

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/fiscalYears/{tenantId}/fiscalPeriod/{businessUnitId}/{date}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The fiscal years were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
fiscal_periodnumber, (float)(Fiscal Period)
fiscal_yearobject(Fiscal Year)
]
Response
[ { "fiscal_period": 0.1, "fiscal_year": { … } } ]